{% extends 'base.html.twig' %}

{% block title %}Log in{% endblock %}

{% block body %}

    <h1 class="text-4xl tracking-tight font-extrabold text-gray-900 pb-6 sm:text-5xl md:text-6xl">
        <span>Se connecter</span>
    </h1>

<form method="post" class="mt-5">
    {% if error %}
        <div class="p-3 bg-red-300 rounded mb-10 w-96">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="p-3 bg-yellow-200 rounded mb-10 w-max">
            Vous êtes déjà connecté avec l'adresse {{ app.user.username }}, <a href="{{ path('app_logout') }}" class="font-bold text-black hover:text-yellow-50">Se déconnecter</a>
        </div>
    {% endif %}
    <label for="inputEmail" class="text-xl">Email</label>
    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg w-64 focus:bg-gray-50 focus:outline-none mr-8" required autofocus>
    <label for="inputPassword" class="text-xl">Password</label>
    <input type="password" name="password" id="inputPassword" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none" required>
    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}
    <br>
    <button class="bg-yellow-400 px-5 mt-10 py-3 mr-4 rounded" type="submit">
        Sign in
    </button>
    <a href="{{ path('app_register') }}" class="text-gray-500 hover:text-gray-700">
        Pas inscrit(e) ? S'inscrire
    </a>
</form>
{% endblock %}
